*** INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS - INEC
*** DIRECCIN DE ESTADSTICAS AGROPECUARIAS Y AMBIENTALES - DEAGA
*** RUTINA SPSS 19.0+ PARA EL CLCULO DE TABULADOS E INDICADORES
*** MDULO AMBIENTAL, ENCUESTA DE CONDICIONES DE VIDA, 6 RONDA, 2013-2014.

* (1) CLCULO DE HOGARES QUE DECLARAN ESTAR AFECTADOS POR RUIDO AMBIENTAL.

GET
  FILE='C:\Ambientales ECV\ECV6R_VIVIENDA_AMBIENTAL.sav'. /* Apertura de la base de viviendas / hogares.

CSPLAN ANALYSIS /* Definicin del archivo de plan para muestras complejas para el nalisis de datos
  /PLAN FILE='C:\Ambientales ECV\planfecv.csaplan'
  /PLANVARS ANALYSISWEIGHT=FEXP       
  /SRSESTIMATOR TYPE=WOR
  /PRINT PLAN
  /DESIGN CLUSTER=IDENTIF_SECT 
  /ESTIMATOR TYPE=WR.

COMPUTE nacional = 1. /* Variable que cuenta todos los hogares a nivel nacional.
COMPUTE denom_am01 = 1. /* Denominador aplicable para todos los hogares.
IF (am01 = 1) numerad_am01 = 1.  /* Numerador para el caso de hogares afectados por ruido.
EXECUTE.

CSDESCRIPTIVES /* Despliegue de la tabla con el indicador de afectacin por ruido ambiental
  /PLAN FILE='C:\Ambientales ECV\planfecv.csaplan'
  /RATIO NUMERATOR= numerad_am01
 	DENOMINATOR = denom_am01
	 /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional PROVINCIA CIUDAD_AUTO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.


* (2) CLCULO DE HOGARES QUE DECLARAN ESTAR AFECTADOS POR MALOS OLORES AMBIENTALES.

COMPUTE denom_am03 = 1. /* Denominador aplicable para todos los hogares.
IF (am03 = 1) numerad_am03 = 1.  /* Numerador para el caso de hogares afectados por malos olores.
EXECUTE.

CSDESCRIPTIVES /* Despliegue de la tabla con el indicador de afectacin por malos olores ambientales
  /PLAN FILE='C:\Ambientales ECV\planfecv.csaplan'
  /RATIO NUMERATOR= numerad_am03
 	DENOMINATOR = denom_am03
	 /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional PROVINCIA CIUDAD_AUTO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

SAVE OUTFILE='C:\Ambientales ECV\ECV6R_VIVIENDA_AMBIENTAL.sav'
 /COMPRESSED.


* (3) CLCULO DE PRCTICAS DE AHORRO DE AGUA PARA PERSONAS DE 12 AOS O MS.

GET
  FILE='C:\Ambientales ECV\ECV6R_PERSONAS_AMBIENTAL.SAV'. /* Apertura de la base de personas.

MATCH FILES /FILE=* /* Fusin de la base actual (ECV6R_PERSONAS) con la base de viviendas (ECV6R_VIVIENDA)
  /TABLE='C:\Ambientales ECV\ECV6R_VIVIENDA_AMBIENTAL.SAV'
  /RENAME (CIUDAD CIUDAD_AUTO DOMINIO FEXP FASE HOGAR IDENTIF_SECT PERIODO PROVINCIA REGIONAL REGION SECTOR
    VIVIENDA ZONA ZDP AREA_2000 AREA_5000 = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16)
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16.
EXECUTE.

COMPUTE filtro_12 = (EDAD >= 12). /* Filtro de edad: se toman nicamente a las personas de 12 aos o ms.
COMPUTE filtro_vi17_vi19 = (vi17 = 1 AND vi19 = 1). /* Filtro de servicio de agua: si las personas viven en una
						    /* vivienda cuyo servicio de agua es por red pblica y por
						    /* tubera dentro de la vivienda.

IF((ph31a = 1 or ph31a = 2) and filtro_12 = 1 and filtro_vi17_vi19 = 1) denominador31a = 1.
IF (denominador31a = 1) cierran_llave = 0. /* Si cierran la llave mientras se cepillan los dientes, entonces cierran_llave = 1.
IF (ph31a = 1) cierran_llave = 1.

IF ((ph31b = 1 or ph31b = 2) and filtro_12 = 1 and filtro_vi17_vi19 = 1) denominador31b = 1.
IF (denominador31b = 1) se_duchan = 0. /* Si se duchan en menos de 10 minutos, entonces se_duchan = 1.
IF (ph31b = 1) se_duchan = 1.

IF ((ph31c = 1 or ph31c = 2) and filtro_12 = 1 and filtro_vi17_vi19 = 1) denominador31c = 1.
IF (denominador31c = 1) llave_platos = 0. /* Si cierran la llave mientras enjabonan los platos, entonces llave_platos = 1.
IF (ph31c= 1) llave_platos = 1.

compute filtro_agua = (filtro_12 = 1 and  filtro_vi17_vi19 = 1). /* Filtro para aplilcar el clculo de ahorro de agua en personas.
filter by filtro_agua.

CSDESCRIPTIVES /* Despliegue de la 1 columna de la tabla con las prcticas de ahorro de agua para personas de 12+ aos
  /PLAN FILE='C:\Ambientales ECV\Plan2015FEXP.csaplan'
  /RATIO NUMERATOR=cierran_llave DENOMINATOR=denominador31a
  /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional SEXO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

CSDESCRIPTIVES /* Despliegue de la 2 columna de la tabla con las prcticas de ahorro de agua para personas de 12+ aos
  /PLAN FILE='C:\Ambientales ECV\Plan2015FEXP.csaplan'
  /RATIO NUMERATOR=se_duchan DENOMINATOR=denominador31b
  /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional SEXO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

CSDESCRIPTIVES /* Despliegue de la 3 columna de la tabla con las prcticas de ahorro de agua para personas de 12+ aos
  /PLAN FILE='C:\Ambientales ECV\Plan2015FEXP.csaplan'
  /RATIO NUMERATOR=llave_platos DENOMINATOR=denominador31c
  /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional SEXO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

filter off.
use all.


* (4) CLCULO DE PRCTICAS DE AHORRO DE ENERGA PARA PERSONAS DE 12 AOS O MS.

COMPUTE filtro_vi26 = (vi26 = 1). /* Filtro para todas las personas cuyos hogares tienen servicio pblico de energa elctrica.

IF ((ph32a = 1 or ph32a = 2) and filtro_12 = 1 and filtro_vi26 = 1) denominador32a = 1.
IF (denominador32a = 1) apagan_focos = 0. /* Si se apagan los focos al salir de una habitacin, entonces apagan_focos = 1.
IF (ph32a = 1) apagan_focos = 1.

IF ((ph32b = 1 or ph32b = 2) and filtro_12 = 1 and filtro_vi26 = 1) denominador32b = 1.
IF (denominador32b = 1) desconectan = 0. /* Si desconectan dispositivos elctricos antes de dormir, entonces desconectan = 1.
IF (ph32b = 1) desconectan = 1.

IF ((ph32c = 1 or ph32c = 2) and filtro_12 = 1 and filtro_vi26 = 1) denominador32c = 1.
IF (denominador32c = 1) evita_refrig = 0. /* Si evitan introducir alimentos calientes en el refrigerador, entonces evita_refrig = 1.
IF (ph32c = 1) evita_refrig = 1.

compute filtro_energia = (filtro_12 = 1 and filtro_vi26 = 1). /* Filtro para aplilcar el clculo de ahorro de energa en personas.
filter by filtro_energia.

CSDESCRIPTIVES /* Despliegue de la 1 columna de la tabla con las prcticas de ahorro de energa para personas de 12+ aos
  /PLAN FILE='C:\Ambientales ECV\Plan2015FEXP.csaplan'
  /RATIO NUMERATOR=apagan_focos DENOMINATOR=denominador32a
  /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional SEXO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

CSDESCRIPTIVES /* Despliegue de la 2 columna de la tabla con las prcticas de ahorro de energa para personas de 12+ aos
  /PLAN FILE='C:\Ambientales ECV\Plan2015FEXP.csaplan'
  /RATIO NUMERATOR=desconectan DENOMINATOR=denominador32b
  /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional SEXO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

CSDESCRIPTIVES /* Despliegue de la 3 columna de la tabla con las prcticas de ahorro de energa para personas de 12+ aos
  /PLAN FILE='C:\Ambientales ECV\Plan2015FEXP.csaplan'
  /RATIO NUMERATOR=evita_refrig DENOMINATOR=denominador32c
  /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional SEXO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

filter off.
use all.


* (5) CLCULO DEL PORCENTAJE DE PERSONAS DE 12 AOS O MS CON CONCIENCIA (PREOCUPACIN) AMBIENTAL.

COMPUTE grupo_ph33 = (ph33 > 1). /* Se considera a una persona "preocupada ambientalmente" si tiene, al menos, poca preocupacin.

CSDESCRIPTIVES
  /PLAN FILE='C:\Ambientales ECV\Plan2015FEXP.csaplan'
  /RATIO NUMERATOR=grupo_ph33 DENOMINATOR=filtro_12
  /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional PROVINCIA CIUDAD_AUTO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.


* (6) CLCULO DEL PORCENTAJE DE PERSONAS DE 12 AOS O MS QUE DECLARAN ESTAR AFECTADAS POR
*       PROBLEMAS AMBIENTALES.

COMPUTE grupo_ph34 = (ph34a = 1 or ph34b = 1 or ph34c = 1 or ph34d = 1 or ph34e = 1). /* Se considera a una persona
/* afectada por problemas ambientales si al menos resulta afectada por uno de los cinco posibles problemas ambientales:
/* (A) aire - (B) agua - (C) suelo - (D) basura - (E) ruido.

CSDESCRIPTIVES
  /PLAN FILE='C:\Ambientales ECV\Plan2015FEXP.csaplan'
  /RATIO NUMERATOR=grupo_ph34 DENOMINATOR=filtro_12
  /STATISTICS CV COUNT POPSIZE
  /SUBPOP TABLE=nacional PROVINCIA CIUDAD_AUTO DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.


*** FIN DE LA RUTINA SPSS 19.0+ DE CLCULO DE TABULADOS E INDICADORES
*** MDULO AMBIENTAL, ENCUESTA DE CONDICIONES DE VIDA, 6 RONDA, 2013-2014.
*** FECHA DE ESCRITURA DEL CDIGO: 08 DE JUNIO DE 2015.

